Bug 680165 - Wireshark permission changes in F15
Summary: Wireshark permission changes in F15
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: John J. McDonough
QA Contact: Karsten Wade
URL:
Whiteboard:
Depends On:
Blocks: fc5-relnotes-traqr
TreeView+ depends on / blocked
 
Reported: 2011-02-24 14:15 UTC by Jan Safranek
Modified: 2011-06-03 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-03 21:11:22 UTC


Attachments (Terms of Use)

Description Jan Safranek 2011-02-24 14:15:44 UTC
The way how Wireshark is started changes in Fedora 15 and it's worth mentioning in release notes so users are not confused. I hope this is the right place to request such note. Feel free to edit the text as appropriate, I am not native English speaker. And also ask me if something is not clear.

Proposed release notes content:

Wireshark in Fedora 15 uses Linux capabilities instead of console helper. As result, the Wireshark users are no longer required to enter the root password. To grant an users permission to capture network traffic using wireshark or tshark, system administrator should add the user to 'wireshark' group. The wireshark or tshark application then runs as ordinary user, only the capturing backend runs with permission to sniff on the network.

Comment 1 John J. McDonough 2011-05-08 19:22:41 UTC
Commit b594604

Comment 2 Turkinator 2011-06-01 01:30:33 UTC
Draft Technical Notes created by Turkinator......
Wireshark in Fedora 15 uses Linux capabilities instead of the console helper. As a result, wireshark users are no longer required to enter the root password. To be able to capture network traffic using wireshark or tshark, a user must be added to the 'wireshark' group by the system administrator. The wireshark or tshark application then runs as an ordinary user, and only the capturing backend runs with permission to sniff on the network.

Comment 3 John J. McDonough 2011-06-03 21:11:22 UTC
fedora-release-notes-15.0.0


Note You need to log in before you can comment on or make changes to this bug.